/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2011 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * tripleIndex.cpp
 *
 *  Created on: Dec 19, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include <iostream>

#include "LinkedCell/tripleIndex.hpp"

using namespace LinkedCell;

tripleIndex tripleIndex::operator*(const tripleIndex &a)
{
  tripleIndex res;
  for (int i=0;i<NDIM;++i)
    res[i] = (*this)[i]*a[i];
  return res;
}

tripleIndex tripleIndex::operator+(const tripleIndex &a)
{
  tripleIndex res;
  for (int i=0;i<NDIM;++i)
    res[i] = (*this)[i]+a[i];
  return res;
}

std::ostream & operator<<(std::ostream &ost, const tripleIndex &a)
{
  for (int i=0;i<NDIM;++i)
    ost << ((i!=0) ? "," : "") << a[i];
  return ost;
}
