/*
 * tripleIndex.hpp
 *
 *  Created on: Dec 19, 2011
 *      Author: heber
 */

#ifndef TRIPLEINDEX_HPP_
#define TRIPLEINDEX_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <boost/array.hpp>
#include <iosfwd>

#include "types.hpp"

namespace LinkedCell {
  //!> vector of 3 indices
  struct tripleIndex : public boost::array<LinkedCellArray::index, NDIM> {
    tripleIndex operator+(const tripleIndex &a);
    tripleIndex operator*(const tripleIndex &a);
  };
}


std::ostream & operator << (std::ostream &ost, const LinkedCell::tripleIndex &a);


#endif /* TRIPLEINDEX_HPP_ */
