/*
 * types.hpp
 *
 *  Created on: Nov 15, 2011
 *      Author: heber
 */

#ifndef LINKEDCELL_TYPES_HPP_
#define LINKEDCELL_TYPES_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <list>
#include <vector>

#include <boost/multi_array.hpp>

#include "LinearAlgebra/defs.hpp"

class TesselPoint;

namespace LinkedCell {

  //< Upper bound for number of cell nodes used in sensibility check on allocation.
  enum { MAX_LINKEDCELLNODES = 1000000 };

  class LinkedCell;

  //!> linked list of tesselpoints
  typedef std::list<const TesselPoint *> LinkedList;

  //!> three-dimensional array of LinkedCell instances
  typedef boost::multi_array<LinkedCell *, NDIM> LinkedCellArray;
}


#endif /* LINKEDCELL_TYPES_HPP_ */
